# Documentation

Menu

## QRMatrixTest extends TestCase
in package

QRMatrixTest.php : 22

Tests the QRMatix class

### Table of Contents

version = 40
$matrix : QRMatrix
testECC() : void
  Tests if eccLevel() returns the current (given) ECC level
testFlip() : void
  Tests flipping the value of a module
testGetSetCheck() : void
  Tests the set(), get() and check() methods
testInstance() : void
  Validates the QRMatrix instance
testMaskPattern() : void
  Tests if maskPattern() returns the current (or default) mask pattern
testSetAlignmentPattern() : void
  Tests the alignment patterns and verifies their positions - version 1 (no pattern) skipped
testSetDarkModule() : void
  Tests setting the dark module and verifies its position
testSetFinderPattern() : void
  Tests setting the finder patterns and verifies their positions
testSetFormatInfo() : void
  Tests the format patterns and verifies their positions
testSetLogoSpaceInvalidEccException() : void
  Tests whether an exception is thrown when an ECC level other than "H" is set when attempting to add logo space
testSetLogoSpaceMaxSizeException() : void
  Tests whether an exception is thrown when the logo space size exceeds the maximum ECC capacity
testSetLogoSpaceOrientation() : void
  Tests the auto orientation of the logo space
testSetLogoSpacePosition() : void
  Tests the manual positioning of the logo space
testSetQuietZone() : void
  Tests the quiet zone pattern and verifies its position
testSetQuietZoneException() : void
  Tests if an exception is thrown in an attempt to create the quiet zone before data was written
testSetSeparators() : void
  Tests the separator patterns and verifies their positions
testSetTimingPattern() : void
  Tests the timing patterns and verifies their positions
testSetVersionNumber() : void
  Tests the version patterns and verifies their positions - version < 7 skipped
testSize() : void
  Tests if size() returns the actual matrix size/count
testVersion() : void
  Tests if version() returns the current (given) version
versionProvider() : Generator
  Version data provider for several pattern tests
getMatrix() : QRMatrix
  shortcut
setUp() : void
  invokes a QRMatrix object

### Constants

#### version

QRMatrixTest.php : 24
`private mixed version = 40`

### Properties

#### $matrix

QRMatrixTest.php : 25
`private QRMatrix $matrix`

### Methods

#### testECC()

QRMatrixTest.php : 65

Tests if eccLevel() returns the current (given) ECC level

`public testECC() : void`

##### Return values

void —

#### testFlip()

QRMatrixTest.php : 353

Tests flipping the value of a module

`public testFlip() : void`

##### Return values

void —

#### testGetSetCheck()

QRMatrixTest.php : 84

Tests the set(), get() and check() methods

`public testGetSetCheck() : void`

##### Return values

void —

#### testInstance()

QRMatrixTest.php : 44

Validates the QRMatrix instance

`public testInstance() : void`

##### Return values

void —

#### testMaskPattern()

QRMatrixTest.php : 72

Tests if maskPattern() returns the current (or default) mask pattern

`public testMaskPattern() : void`

##### Return values

void —

#### testSetAlignmentPattern()

QRMatrixTest.php : 146

Tests the alignment patterns and verifies their positions - version 1 (no pattern) skipped

`public testSetAlignmentPattern(int $version) : void`

##### Parameters

$version : int

##### Tags

dataProvider

  versionProvider

##### Return values

void —

#### testSetDarkModule()

QRMatrixTest.php : 108

Tests setting the dark module and verifies its position

`public testSetDarkModule(int $version) : void`

##### Parameters

$version : int

##### Tags

dataProvider

  versionProvider

##### Return values

void —

#### testSetFinderPattern()

QRMatrixTest.php : 119

Tests setting the finder patterns and verifies their positions

`public testSetFinderPattern(int $version) : void`

##### Parameters

$version : int

##### Tags

dataProvider

  versionProvider

##### Return values

void —

#### testSetFormatInfo()

QRMatrixTest.php : 227

Tests the format patterns and verifies their positions

`public testSetFormatInfo(int $version) : void`

##### Parameters

$version : int

##### Tags

dataProvider

  versionProvider

##### Return values

void —

#### testSetLogoSpaceInvalidEccException()

QRMatrixTest.php : 329

Tests whether an exception is thrown when an ECC level other than "H" is set when attempting to add logo space

`public testSetLogoSpaceInvalidEccException() : void`

##### Return values

void —

#### testSetLogoSpaceMaxSizeException()

QRMatrixTest.php : 339

Tests whether an exception is thrown when the logo space size exceeds the maximum ECC capacity

`public testSetLogoSpaceMaxSizeException() : void`

##### Return values

void —

#### testSetLogoSpaceOrientation()

QRMatrixTest.php : 276

Tests the auto orientation of the logo space

`public testSetLogoSpaceOrientation() : void`

##### Return values

void —

#### testSetLogoSpacePosition()

QRMatrixTest.php : 298

Tests the manual positioning of the logo space

`public testSetLogoSpacePosition() : void`

##### Return values

void —

#### testSetQuietZone()

QRMatrixTest.php : 241

Tests the quiet zone pattern and verifies its position

`public testSetQuietZone(int $version) : void`

##### Parameters

$version : int

##### Tags

dataProvider

  versionProvider

##### Return values

void —

#### testSetQuietZoneException()

QRMatrixTest.php : 266

Tests if an exception is thrown in an attempt to create the quiet zone before data was written

`public testSetQuietZoneException() : void`

##### Return values

void —

#### testSetSeparators()

QRMatrixTest.php : 132

Tests the separator patterns and verifies their positions

`public testSetSeparators(int $version) : void`

##### Parameters

$version : int

##### Tags

dataProvider

  versionProvider

##### Return values

void —

#### testSetTimingPattern()

QRMatrixTest.php : 179

Tests the timing patterns and verifies their positions

`public testSetTimingPattern(int $version) : void`

##### Parameters

$version : int

##### Tags

dataProvider

  versionProvider

##### Return values

void —

#### testSetVersionNumber()

QRMatrixTest.php : 208

Tests the version patterns and verifies their positions - version < 7 skipped

`public testSetVersionNumber(int $version) : void`

##### Parameters

$version : int

##### Tags

dataProvider

  versionProvider

##### Return values

void —

#### testSize()

QRMatrixTest.php : 51

Tests if size() returns the actual matrix size/count

`public testSize() : void`

##### Return values

void —

#### testVersion()

QRMatrixTest.php : 58

Tests if version() returns the current (given) version

`public testVersion() : void`

##### Return values

void —

#### versionProvider()

QRMatrixTest.php : 97

Version data provider for several pattern tests

`public versionProvider() : Generator`

##### Return values

Generator —

#### getMatrix()

QRMatrixTest.php : 37

shortcut

`protected getMatrix(int $version) : QRMatrix`

##### Parameters

$version : int

##### Return values

QRMatrix —

#### setUp()

QRMatrixTest.php : 30

invokes a QRMatrix object

`protected setUp() : void`

##### Return values

void —

## Search results